<?php

class bannervideoDb {

    public function createTable() {
        global $wpdb;
        $Tablename = $wpdb->prefix . 'banner_video';
        if ($wpdb->get_var("show tables like '$Tablename'") != $Tablename) {
            $sql = "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "banner_video` (
                          id int NOT NUll AUTO_INCREMENT,
                          ban_title VARCHAR(100) NULL,
                          ban_image LONGTEXT NULL,
                          primary key(id)
                        );";
            $wpdb->query($sql);            
        }

        $Tablename = $wpdb->prefix . 'banner_video';
        $occ_column_name = "ban_link";
        $columns_query = "SHOW COLUMNS FROM " . $Tablename . " LIKE '" . $occ_column_name . "'";
        $columns_name = $wpdb->get_row($columns_query);
        if (!($columns_name->Field)) {
            $sql = "ALTER TABLE `$Tablename` ADD `$occ_column_name` VARCHAR( 255 ) NOT NULL";
            $wpdb->query($sql);
        }
        $Tablename = $wpdb->prefix . 'banner_video';
        $occ_column_name = "group_id";
        $columns_query = "SHOW COLUMNS FROM " . $Tablename . " LIKE '" . $occ_column_name . "'";
        $columns_name = $wpdb->get_row($columns_query);
        if (!($columns_name->Field)) {
            $sql = "ALTER TABLE `$Tablename` ADD `$occ_column_name` INT NOT NULL";
            $wpdb->query($sql);
        }
        
        
        $Tablename = $wpdb->prefix . 'group_banner_video';
        if ($wpdb->get_var("show tables like '$Tablename'") != $Tablename) {
            $sql = "CREATE TABLE IF NOT EXISTS `" . $wpdb->prefix . "group_banner_video` (
                          group_id INT NOT NUll AUTO_INCREMENT,
                          group_name VARCHAR(100) NULL,
                          primary key(group_id)
                        );";
            $wpdb->query($sql);            
        }
    }

    public function saveBannerVideo($savedata, $id = 0) {
        global $wpdb, $banvid_plugin_url,$banvid_plugin_dir;
        $message = array();
        $tablename = $wpdb->prefix . "banner_video";
        if ($id > 0) {
            $where = array('id' => $id);
            $wpdb->update($tablename, $savedata, $where);
            $message['success'] = "updated";
        } else {
            $wpdb->insert($tablename, $savedata);
            $message['success'] = "added";
        }
        return $message;
    }

    public function delete_record_bannervideo($id = 0) {
        global $wpdb;
        $query = "DELETE FROM `" . $wpdb->prefix . "banner_video` WHERE `id` = '$id' LIMIT 1";
        $wpdb->query($query);
        return "Deleted";
    }

    public function get_record_by_bannervideo_id($id = 0) {
        global $wpdb;
        $query = "SELECT * FROM `" . $wpdb->prefix . "banner_video` WHERE `id`='" . $id . "'";
        $result = $wpdb->get_row($query);
        return $result;
    }

    public function get_bannervideo_list($order = 'id') {
        global $wpdb;
        $query = "SELECT * FROM `" . $wpdb->prefix . "banner_video`  ORDER BY " . $order . " ASC";
        return $wpdb->get_results($query);
    }

    
    //group database store
    
    
    public function saveBannerGroup($savedata, $id = 0) {
        global $wpdb, $banvid_plugin_url,$banvid_plugin_dir;
        $message = array();
        $tablename = $wpdb->prefix . "group_banner_video";
        if ($id > 0) {
            $where = array('group_id' => $id);
            $admin_sel = "select * from `" . $wpdb->prefix . "group_banner_video` where `group_name`='" . $_POST['group_name'] . "' and `group_id` <> '" . $id . "'";
             $result = $wpdb->get_row($admin_sel);
            if (count($result) > 0) {
                $message['success'] = "Name must be Different";
                return  $message;
                exit;
            }
            $wpdb->update($tablename, $savedata, $where);
            $message['success'] = "updated Successfully";
        } else {
            $admin_sel = "select * from `" . $wpdb->prefix . "group_banner_video` where `group_name`='" . $_POST['group_name'] . "' and `group_id` <> '" . $id . "'";
             $result = $wpdb->get_row($admin_sel);
            if (count($result) > 0) {
                $message['error'] = "Name must be Different";
                return  $message;
                exit;
            }
            $wpdb->insert($tablename, $savedata);
            $message['success'] = "added Successfully";
        }
        return $message;
    }
    
      public function delete_record_bannergroup($id = 0) {
        global $wpdb;
        $query = "DELETE FROM `" . $wpdb->prefix . "group_banner_video` WHERE `group_id` = '$id' LIMIT 1";
        $wpdb->query($query);
        return "Deleted Successfully";
    }

    public function get_record_by_bannergroup_id($id = 0) {
        global $wpdb;
        $query = "SELECT * FROM `" . $wpdb->prefix . "group_banner_video` WHERE `group_id`='" . $id . "'";
        $result = $wpdb->get_row($query);
        return $result;
    }

    public function get_bannergroup_list($order = 'group_id') {
        global $wpdb;
        $query = "SELECT * FROM `" . $wpdb->prefix . "group_banner_video`  ORDER BY " . $order . " ASC";
        return $wpdb->get_results($query);
    }
}

?>