<?php
$parse_uri = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
require_once( $parse_uri[0] . 'wp-load.php' );
// require_once('../../../../../wp-load.php');
header('Content-Type: text/html; charset=' . get_bloginfo('charset'));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
    <head>
        <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
        <!--<title><?php _e('Video Banners') ?></title>-->
        <script type="text/javascript" src="../js/tiny_mce_popup.js"></script>
		
        <!--<script type="text/javascript" src="../js/banvideo-shortcode.js"></script>-->
		
        <?php
        wp_admin_css('global', true);
        wp_admin_css('wp-admin', true);
        ?>
        <style type="text/css">
            #wrap {
                padding: 0 15px;
                font-size: 12px;
                width: 90%;
                margin: 0 auto;
            } #wrap div {
                font-size: 11px;
            } #wrap input {
                margin-bottom: 5px;
            }
            .errormsg {
                color: #FF0000;
                font-weight: bold;
            }
        </style>
    </head>
    <body style="height: auto; width: auto;">

        <div id="wrap">
            <form name="autoresponder" onsubmit="return insertSCode();" action="">
                <table>
                    <h3>Insert New Video</h3>
                    <tr>
                        <td>Add Video URL:<span class="errormsg"> *</span></td>
                        <td><input type="text" name="banvid_code" id="banvid_code" value="" size="35"/></td>
                    </tr>
                    <tr>
                        <td></td><td><i>(eg: https://www.youtube.com/watch?v=pbOc2VsmE64 ) </i></td>
                    </tr>
                    <tr>
                        <td>Video Width:<span class="errormsg"> *</span></td>
                        <td><input type="text" value="" name="video_width" id="video_width" size="10"/></td>
                    </tr>
                    <tr>
                        <td>Video Height:<span class="errormsg"> *</span></td>
                        <td><input type="text" value="" name="video_height" id="video_height" size="10"/></td>
                    </tr>
                    <tr>
                        <td>Banner Group:</td>
                        <td>
                            <select id="bannervid_id" name="bannervid_id">
                                <?php
                                global $wpdb;
                                $query = "SELECT * FROM `" . $wpdb->prefix . "group_banner_video` ";
                                $result = $wpdb->get_results($query);
                                foreach ($result as $likeid) {
                                    echo "<option value='$likeid->group_id'>" . $likeid->group_name . "</option>";
                                }
                                ?>
                                <!--<option value='0'>Random</option>-->
                                <?php
//                                global $wpdb;
//                                $sql = "SELECT id,ban_title FROM " . $wpdb->prefix . "banner_video";
//                                $result = $wpdb->get_results($sql);
//                                foreach ($result as $likeid) {
//                                    echo "<option value='$likeid->id'>" . $likeid->ban_title . "</option>";
//                                }
                                ?>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Banner Alignment:</td>
                        <td>
                            <select name="banner_align" id="banner_align" >
                                <option value="left">Left</option>
                                <option value="right">Right</option>
                                <option value="center">Center</option>
                            </select>                            
                    </tr>
                    <tr>
                        <td>Banner Width:</td>
                        <td><input type="text" name="banner_width" id="banner_width" value="" size="10"/></td>
                    </tr>
                    <tr>
                        <td>Banner Height:</td>
                        <td><input type="text" name="banner_height" id="banner_height" value="" size="10"/></td>
                    </tr>
                    <tr>
                        <td>Banner Start Timing:</td>
                        <td><input type="text" name="start_timing" id="start_timing" value="" size="5"/>(In seconds)</td>
                    </tr>
                    <tr>
                        <td>Banner Display Timing:</td>
                        <td><input type="text" name="banner_timing" id="banner_timing" value="" size="5"/>(In seconds)</td>
                    </tr>
                    <tr>
                        <td>Timings Between Banner:</td>
                        <td><input type="text" name="gap_timing" id="gap_timing" value="" size="5"/>(In seconds)</td>
                    </tr>
                    <tr>
                        <td>Banner Display:</td>
                        <td><input type="text" name="banner_display" id="banner_display" value="" size="5"/>(0 unlimited)</td>
                    </tr>
                    <tr></tr>
                </table>
                <input type="submit" name="insert" value="Insert" id="insert" onclick="return tinybtnvideo_valid();"   />
            </form>
        </div>
    </body>
</html>
<script type="text/javascript">
	function insertSCode(){
		var id = tinyMCEPopup.dom.encode(document.getElementById('bannervid_id').value);
        var vidwidth = tinyMCEPopup.dom.encode(document.getElementById('video_width').value);
        var vidheight = tinyMCEPopup.dom.encode(document.getElementById('video_height').value);
        var video = tinyMCEPopup.dom.encode(document.getElementById('banvid_code').value);  
        video += '&qtm_short_code=true';
        var banalign = tinyMCEPopup.dom.encode(document.getElementById('banner_align').value);
        var banwidth = tinyMCEPopup.dom.encode(document.getElementById('banner_width').value);
        var banheight = tinyMCEPopup.dom.encode(document.getElementById('banner_height').value);
        var bantiming = tinyMCEPopup.dom.encode(document.getElementById('banner_timing').value);
        var starttiming = tinyMCEPopup.dom.encode(document.getElementById('start_timing').value);
        var gaptiming = tinyMCEPopup.dom.encode(document.getElementById('gap_timing').value);
        var bandisplay = tinyMCEPopup.dom.encode(document.getElementById('banner_display').value);
        tinyMCEPopup.editor.execCommand('mceInsertClipboardContent', false, {
            content : '[bannerVideo videourl="'+video+'" video_width="'+vidwidth+'" video_height="'+vidheight+'"  id="'+id+'" align="'+banalign+'"  banner_width="'+banwidth+'" banner_height="'+banheight+'" start_timing="'+starttiming+'"  banner_timing="'+bantiming+'" gap_timing="'+gaptiming+'" banner_display="'+bandisplay+'"]'
            });
        tinyMCEPopup.close();
	}
    function tinybtnvideo_valid(){
        var ban_url = document.autoresponder.banvid_code;
        var video_width = document.autoresponder.video_width;
        var video_height= document.autoresponder.video_height;
        if ((ban_url.value == null) || (ban_url.value == ""))
        {
            alert('Please Enter Video URL');
            return false;
        }
        if ((video_width.value == null) || (video_width.value == ""))
        {
            alert('Please Enter Video Width');
            return false;
        }
        if ((video_height.value == null) || (video_height.value == ""))
        {
            alert('Please Enter Video Height');
            return false;
        }
        return true;
    }
</script>
